ros-humble-qt-gui-core (2.2.3-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-humble-qt-gui-core (2.2.2-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 15 Aug 2022 00:00:00 -0000

ros-humble-qt-gui-core (2.2.1-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 10 May 2022 00:00:00 -0000

ros-humble-qt-gui-core (2.2.0-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-qt-gui-core (2.1.1-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-qt-gui-core (2.1.0-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Nov 2021 00:00:00 -0000

ros-humble-qt-gui-core (2.0.1-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 29 Apr 2021 00:00:00 -0000

ros-humble-qt-gui-core (2.0.0-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 Jan 2021 00:00:00 -0000

ros-humble-qt-gui-core (1.1.2-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-humble-qt-gui-core (1.1.1-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 03 Aug 2020 00:00:00 -0000

ros-humble-qt-gui-core (1.1.0-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 May 2020 00:00:00 -0000

ros-humble-qt-gui-core (1.0.9-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-humble-qt-gui-core (1.0.8-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 05 May 2020 00:00:00 -0000

ros-humble-qt-gui-core (1.0.7-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 00:00:00 -0000

ros-humble-qt-gui-core (1.0.6-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Jun 2019 00:00:00 -0000

ros-humble-qt-gui-core (1.0.5-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-humble-qt-gui-core (1.0.4-2jammy) jammy; urgency=high

  * remove obsolete maintainer (#159 <https://github.com/ros-visualization/qt_gui_core/issues/159>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Feb 2019 00:00:00 -0000

ros-humble-qt-gui-core (1.0.3-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 15:03:00 -0000

ros-humble-qt-gui-core (1.0.2-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 11:10:00 -0000

ros-humble-qt-gui-core (1.0.1-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 09:16:00 -0000

ros-humble-qt-gui-core (1.0.0-2jammy) jammy; urgency=high

  * Ros2 port (#135 <https://github.com/ros-visualization/qt_gui_core/issues/135>)
    Porting to ROS2
  * Contributors: brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Dec 2018 00:00:00 -0000

ros-humble-qt-gui-core (0.3.11-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Aug 2018 00:00:00 -0000

ros-humble-qt-gui-core (0.3.10-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 05 Aug 2018 00:00:00 -0000

ros-humble-qt-gui-core (0.3.9-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Aug 2018 00:00:00 -0000

ros-humble-qt-gui-core (0.3.8-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Nov 2017 00:00:00 -0000

ros-humble-qt-gui-core (0.3.7-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-humble-qt-gui-core (0.3.6-2jammy) jammy; urgency=high

  * Add dhood as maintainer (#101 <https://github.com/ros-visualization/qt_gui_core/issues/101>)
  * Contributors: dhood

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Aug 2017 00:00:00 -0000

ros-humble-qt-gui-core (0.3.5-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-humble-qt-gui-core (0.3.4-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-humble-qt-gui-core (0.3.3-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-humble-qt-gui-core (0.3.2-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-humble-qt-gui-core (0.3.1-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 00:00:00 -0000

ros-humble-qt-gui-core (0.3.0-2jammy) jammy; urgency=high

  * Merge pull request #64 <https://github.com/ros-visualization/qt_gui_core/issues/64> from ros-visualization/qt5
    switch to Qt5
  * switch to Qt5
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 00:00:00 -0000

ros-humble-qt-gui-core (0.2.30-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 30 Mar 2016 00:00:00 -0000

ros-humble-qt-gui-core (0.2.29-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-humble-qt-gui-core (0.2.28-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 08 Jun 2015 00:00:00 -0000

ros-humble-qt-gui-core (0.2.27-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Apr 2015 00:00:00 -0000

ros-humble-qt-gui-core (0.2.26-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-humble-qt-gui-core (0.2.25-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 00:00:00 -0000

ros-humble-qt-gui-core (0.2.24-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 00:00:00 -0000

ros-humble-qt-gui-core (0.2.23-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 00:00:00 -0000

ros-humble-qt-gui-core (0.2.22-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-humble-qt-gui-core (0.2.21-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Feb 2014 00:00:00 -0000

ros-humble-qt-gui-core (0.2.20-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 19 Jan 2014 00:00:00 -0000

ros-humble-qt-gui-core (0.2.19-2jammy) jammy; urgency=high

  * "0.2.19"
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-humble-qt-gui-core (0.2.18-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 00:00:00 -0000

ros-humble-qt-gui-core (0.2.17-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-humble-qt-gui-core (0.2.16-2jammy) jammy; urgency=high

  * Removed unsuitable maintainer.
  * Contributors: Isaac Saito

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-humble-qt-gui-core (0.2.15-2jammy) jammy; urgency=high

  * Adding CMakeLists.txt to qt_gui_core metapackage
  * Contributors: William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Apr 2013 00:00:00 -0000

ros-humble-qt-gui-core (0.2.14-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Mar 2013 22:42:00 -0000

ros-humble-qt-gui-core (0.2.13-2jammy) jammy; urgency=high

  * all packages) A maintainer added, email address updated
  * Contributors: Isaac Saito

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Mar 2013 18:08:00 -0000

ros-humble-qt-gui-core (0.2.12-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Jan 2013 00:00:00 -0000

ros-humble-qt-gui-core (0.2.11-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-humble-qt-gui-core (0.2.10-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2013 00:00:00 -0000

ros-humble-qt-gui-core (0.2.9-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 00:00:00 -0000

ros-humble-qt-gui-core (0.2.8-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2012 00:00:00 -0000

ros-humble-qt-gui-core (0.2.7-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Nov 2012 00:00:00 -0000

ros-humble-qt-gui-core (0.2.6-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Nov 2012 13:47:00 -0000

ros-humble-qt-gui-core (0.2.5-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Nov 2012 11:13:00 -0000

ros-humble-qt-gui-core (0.2.4-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Nov 2012 10:56:00 -0000

ros-humble-qt-gui-core (0.2.3-2jammy) jammy; urgency=high

  * add metapackage
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 15 Nov 2012 00:00:00 -0000

ros-humble-qt-gui-core (0.2.2-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 14 Nov 2012 19:10:00 -0000

ros-humble-qt-gui-core (0.2.1-2jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 14 Nov 2012 00:32:00 -0000

ros-humble-qt-gui-core (0.2.0-2jammy) jammy; urgency=high

  * catch exception instance with as instead of comma for Pzthon 3.x compatibility
  * made colored terminal output depend on environment
  * added verbose option, suppress qDebug() by default and colorize output
  * fixed containers
  * modified print/qDebug/qWarning outputs to be more consistent
  * use different settings files for qt_gui and rqt_gui
  * updated review status
  * fixed about dialog when used from qt_gui_app
  * Merge branch 'master' of https://kforge.ros.org/visualization/ros_gui
  * added missing include, fixed spelling
  * removed specific Qt version CMake < 2.8.5 can only not handle full versions (including patch) and the exact required version is not obvious
  * modified help to use url from manifest
  * prevent adding the same widget multiple times
  * updated spelling
  * enhanced API doc of PluginContext with ownership information
  * code formatting according to pep8
  * more updates to API doc
  * code formatting according to pep8
  * code formatting according to pep8
  * updated API doc
  * added more verbose comments for public API
  * changed some labels
  * fixed about handler
  * colorizing stacks as a checkbox and implemented in plugin
  * factory allowing to set edge style
  * API cleanup
  * removed need to notify framework about changed window titles, now automatically detected
  * modified detection of main filename to work with package-relative imports in subprocesses
  * robust against missing edge entry
  * unescape newline in node and edge labels
  * ignore dot nodes with style=invis (invisible)
  * treating edges with same labels as siblings as a parameter
  * more robust against missing node width and height
  * renamed / disabled test
  * better error msg
  * renamed unit test
  * relaxed dotcode checks in unit tests
  * pydot factory robust against invalid names
  * added .gitignore files
  * explicitly name public/supported API
  * garbage already added widgets when plugin fails to load
  * raise exception when load fails
  * using new shiboken check provided by python_qt_binding to test if it supports QGenericReturnArgument
  * fixed compiler warning
  * fixed compiler warning
  * added missing const in cpp classes, reformated methods in cpp::PluginContext to camel case
  * modified tag name in qtgui plugin manifest
  * modified semantic of plugin manifest, renamed file names according to PEP 8, refactored relative imports according to PEP 328
  * removed comment from description (which goes into wiki)
  * removed electric support from code using pluginlib since the nodelet api does not work anyway
  * major renaming and refactoring of all packages
  * renamed packages and moved into separate stacks (refactoring not yet completed)
  * Contributors: Aaron Blasdel, Dirk Thomas, Dorian Scholz, Thibault Kruse

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Nov 2012 00:00:00 -0000


